### Method

# Gtk WidgetPaintableset_widget

#### Declaration [src]

    void
    gtk_widget_paintable_set_widget (
      GtkWidgetPaintable* self,
      GtkWidget* widget
    )

#### Description [src]

Sets the widget that should be observed.

Sets property | `Gtk.WidgetPaintable:widget`

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget to observe.

  The argument can be `NULL`.
  The data is owned by the caller of the method.